%%
%简单用例验证只使用位置信息不稳定
% A --> Leader <-- B
A= [0 1 1; 1 0 0; 1 0 0];
A1 = [0 1 0; 1 0 1; 0 1 0];
B = [0 0 0; -1 1 0; -1 0 1];
e1 = eigOfLaplacianAndB(A,B);
e2 = eigOfLaplacianAndB(A1,B);
L = laplacian(graph(A));
eig(L)